/*
 * Author: wangjian
 * 生成Service
 */
package com.tofly.feesapi.wxgl.wechatbasicmgt.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.tofly.feesapi.common.core.dto.PageDto;
import com.tofly.feesapi.common.core.vo.PageResult;
import com.tofly.feesapi.wxgl.wechatbasicmgt.entity.WxMessage;
import com.tofly.feesapi.wxgl.wechatbasicmgt.entity.dto.CreateWxMessageDto;
import com.tofly.feesapi.wxgl.wechatbasicmgt.entity.dto.WxMessagedto;

import java.util.List;

/**
 * 微信模板消息
 *
 * @author admin
 * @date Tue Jul 04 00:00:00 CST 2023
 */
public interface WxMessageService extends IService<WxMessage> {

    boolean plScMsg(String type, List<String> sscbb, CreateWxMessageDto dto);


    boolean plUpdateMsg(String type, String pch, String msg);

    boolean plUpdateMsgOne(String type, String pch, String msg);

    PageResult<WxMessage> getWxMessagePage(PageDto pageDto, WxMessagedto wxMessagedto);

    /*根据pch删除*/
    boolean deleteByPch(String pch);

}
